# Default values for phpfpm-app.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
replicaCount: 1
image:
  repository: USERNAME/phpfpm-app
  tag: 0.1.0
  pullPolicy: IfNotPresent
nginxService:
  name: nginx
  type: NodePort
  externalPort: 80
  internalPort: 8080
phpfpmService:
  name: phpfpm
  type: NodePort
  phpfpmPort: 9000
mariadb:
  mariadbRootPassword: $DB_ROOTPASSWORD
  mariadbUser: $DB_USERNAME
  mariadbPassword: $DB_USERPASSWORD
  mariadbDatabase: $DB_NAME
ingress:
  enabled: false
  # Used to create Ingress record (should used with service.type: ClusterIP).
  hosts:
    - chart-example.local
  annotations:
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  tls:
    # Secrets must be manually created in the namespace.
    # - secretName: chart-example-tls
    #   hosts:
    #     - chart-example.local
config:
  nginx.conf: |-
    server {
      listen 0.0.0.0:8080;
      root /app;
      location / {
        index index.html index.php;
      }
      location ~ \.php$ {
        fastcgi_pass phpfpm-php-app-phpfpm:9000;
        fastcgi_index index.php;
        include fastcgi.conf;
      }
    }

resources:
  limits:
    cpu: 100m
    memory: 128Mi
  requests:
    cpu: 100m
    memory: 128Mi
